Summary:	Atari Jaguar Emulator
Name:		virtualjaguar
Version:	2.1.2
Release:	%mkrel 1
Group:		Emulators
License:	GPLv3
URL:		http://www.icculus.org/virtualjaguar/
Source0:	http://www.icculus.org/virtualjaguar/tarballs/%{name}-%{version}.tar.bz2
BuildRequires:	SDL-devel
BuildRequires:	qt4-devel
BuildRequires:	zlib-devel
BuildRequires:	mesagl-devel
BuildRequires:	libcdio-devel

%description
Virtual Jaguar is software dedicated to emulating the Atari Jaguar hardware on
a standard PC. The software was originally developed by David Raingeard of
Potato Emulation and was released under the GPL on 25 June 2003.

Virtual Jaguar GCC/Qt is not just a port of the MS Visual C++/SDL source code
but has also been extended and rewritten so that we can enjoy Atari Jaguar
emulation on every platform that has a GCC compiler and a port of Qt.

%prep
%setup -q -n %{name}

%build
#Since 2.0.2, build breaks when using %%make macro because of -j2 parameter
#so we use make directly for now
make

%install

%__mkdir_p %{buildroot}%{_bindir}
%__install -m 755 %{name} %{buildroot}%{_bindir}/%{name}

%__mkdir_p %{buildroot}%{_datadir}/pixmaps
%__install -m 644 res/vj.xpm %{buildroot}%{_datadir}/pixmaps/%{name}.xpm

%__mkdir_p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Name=Virtual Jaguar
Comment=Emulate the Atari Jaguar console
Comment[fr]=Émuler la console Atari Jaguar
Exec=%{name}
Icon=%{name}
Terminal=false
Type=Application
StartupNotify=true
Categories=Game;Emulator;
EOF

%files
%doc docs/*
%{_bindir}/%{name}
%{_datadir}/pixmaps/%{name}.xpm
%{_datadir}/applications/%{name}.desktop


%changelog
* Wed Nov 25 2015 daviddavid <daviddavid> 2.1.2-1.mga6
+ Revision: 906004
- new version: 2.1.2
- remove merged patches
- update URL
- update desktop file

* Wed Oct 15 2014 umeabot <umeabot> 2.0.2-6.mga5
+ Revision: 748261
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.0.2-5.mga5
+ Revision: 690218
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 2.0.2-4.mga4
+ Revision: 520038
- Mageia 4 Mass Rebuild

* Mon Jan 14 2013 umeabot <umeabot> 2.0.2-3.mga3
+ Revision: 385426
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Dec 05 2012 juancho <juancho> 2.0.2-2.mga3
+ Revision: 326736
- Added patch to include unistd.h in mainwin.cpp to fix build.

* Tue Jan 10 2012 juancho <juancho> 2.0.2-1.mga2
+ Revision: 194425
- Updated to 2.0.2

* Sun Nov 20 2011 juancho <juancho> 2.0.1-1.mga2
+ Revision: 169644
- imported package virtualjaguar


* Sun Nov 20 2011 Juan Luis Baptiste <juancho@mageia.org> 2.0.1-1.mga2
- Cleanup to blogdrake package

* Thu Oct 20 2011 Joaquín <joaquinmandriva@gmail.com> 2.0.1-1.bdk.mga
- new version 2.0.1 in Mageia

* Thu Oct 20 2011 Andrey Bondrov <abondrov@mandriva.org> 2.0.1-1mdv2012.0
+ Revision: 705492
- New bugfix version 2.0.1

* Mon Oct 17 2011 Joaquín <joaquinmandriva@gmail.com> 2.0.0-1.bdk.mga
- Packaged to Mageia (Blogdrake Repository)

* Fri Oct 14 2011 Andrey Bondrov <abondrov@mandriva.org> 2.0.0-1
+ Revision: 704652
- imported package virtualjaguar

